postinst is in munin-plugins-openstack 1.20120627-1.
This file is a maintainer script. It is executed when installing (*inst) or removing (*rm) the package.
The actual contents of the file can be viewed below.
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 | #!/bin/sh
# postinst script for munin-plugins-openstack
#
# see: dh_installdeb(1)
set -e
prevver="$2"
# Summary of how this script can be called:
# * <postinst> `configure' <most-recently-configured-version>
# * <old-postinst> `abort-upgrade' <new version>
# * <conflictor's-postinst> `abort-remove' `in-favour' <package>
# <new-version>
# * <postinst> `abort-remove'
# * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
# <failed-install-package> <version> `removing'
# <conflicting-package> <version>
# for details, see http://www.debian.org/doc/debian-policy/ or
# the debian-policy package
init_plugins() {
TMPFILE=`mktemp /tmp/munin-plugins-openstack.configure.XXXXXXXXXX`
TMPFILE_STDERR=`mktemp /tmp/munin-plugins-openstack.configure.err.XXXXXXXXXX`
MUNIN_NODE_CONF_LOG="/var/log/munin/munin-node-configure.log"
if [ "$prevver" ]; then
MUNIN_NODE_CMD="munin-node-configure --libdir /usr/share/munin-openstack/plugins --shell --newer "${prevver%-*}""
echo -n "Initializing new plugins.."
else
MUNIN_NODE_CMD="munin-node-configure --libdir /usr/share/munin-openstack/plugins --shell"
echo -n "Initializing plugins.."
fi
# munin-node-conf returns 1 if case of partial plugin autoconf
# errors. We need to ignore these errors as even one plugin
# can fail the entire process. See Debian bug #539886 for details.
$MUNIN_NODE_CMD 2>$TMPFILE_STDERR >$TMPFILE || true
if [ -f $TMPFILE ]; then
DATE=`date '+%b %d %T'`
echo "$DATE - Starting $MUNIN_NODE_CMD" >> $MUNIN_NODE_CONF_LOG
cat $TMPFILE >> $MUNIN_NODE_CONF_LOG
if [ -s $TMPFILE_STDERR ]; then
echo "The following errors were reported by $MUNIN_NODE_CMD" \
>> $MUNIN_NODE_CONF_LOG
cat $TMPFILE_STDERR >> $MUNIN_NODE_CONF_LOG
fi
sh < $TMPFILE
else
echo "failed."
fi
echo "done."
rm -f $TMPFILE $TMPFILE_STDERR
echo -n "Restarting munin-node.."
invoke-rc.d munin-node restart
}
case "$1" in
configure)
init_plugins
;;
abort-upgrade|abort-remove|abort-deconfigure)
;;
*)
echo "postinst called with unknown argument \`$1'" >&2
exit 1
;;
esac
# dh_installdeb will replace this with shell code automatically
# generated by other debhelper scripts.
exit 0
|